Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class ReasoningPassThroughNode<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.ReasoningNodeBase<F>
          com.hammurapi.reasoning.impl.ReasoningPassThroughNode<F>

All Implemented Interfaces:
  FlowElement, Inlineable, Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>

    public class ReasoningPassThroughNode<F>

extends ReasoningNodeBase<F>
implements Inlineable

Transition which doesn't do any processing - it simply passes invocation from source to targets.

Author:
  Pavel Vlasov

Field Summary

Fields inherited from class com.hammurapi.reasoning.impl.ReasoningNodeBase
`isFine, knowledgeBase, logger, method, methodName, parameterTypes, pins, rule, ruleDescription, ruleName`

Constructor Summary
`ReasoningPassThroughNode()`

Method Summary
`void` | `addPin(String pinName, List<?> pin)`
`void` | `afterConnect()`
`void` | `beforeConnect()`
`Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInvocable(String pinName, Integer connectKey)`
`Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>` | `getInvoker(String pinName, Integer connectKey)`
`boolean` | `inline()`
`protected Collection<Future<?>>` | `process(KnowledgeBase<F> knowledgeBase, List<com.hammurapi.reasoning.impl.InferenceToken<F>>[] inputs, PropertySet properties, Context context, List<ProcessingPathElement> processingPath, Joiner.InputConsumer consumer, int activator)` Processes inputs.

Methods inherited from class com.hammurapi.reasoning.impl.ReasoningNodeBase
`getInputPins, getPriority, invoke, partialJoin, setKnowledgeBase, setMethodName, setParameterTypes, setPriority, setRuleDescription, setRuleIndex, setRuleName, setRules, sortInputs, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReasoningPassThroughNode

    public ReasoningPassThroughNode()

Method Detail

### getInvocable

    public Invocable<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInvocable(String pinName,
                                                                                                   Integer connectKey)

  Specified by:
    `getInvocable` in interface `Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Overrides:
    `getInvocable` in class `ReasoningNodeBase<F>`

### getInvoker

    public Invoker<KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>> getInvoker(String pinName,
                                                                                               Integer connectKey)

  Specified by:
    `getInvoker` in interface `Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Overrides:
    `getInvoker` in class `ReasoningNodeBase<F>`

### beforeConnect

    public void beforeConnect()
                       throws ConfigurationException

  Specified by:
    `beforeConnect` in interface `FlowElement`
  Overrides:
    `beforeConnect` in class `ReasoningNodeBase<F>`
  Throws:
    `ConfigurationException`

### afterConnect

    public void afterConnect()
                      throws ConfigurationException

  Specified by:
    `afterConnect` in interface `FlowElement`
  Overrides:
    `afterConnect` in class `ReasoningNodeBase<F>`
  Throws:
    `ConfigurationException`

### addPin

    public void addPin(String pinName,
                       List<?> pin)

  Specified by:
    `addPin` in interface `Node<List<?>,Integer,KnowledgeBase<F>,com.hammurapi.reasoning.impl.InferenceToken<F>>`
  Overrides:
    `addPin` in class `ReasoningNodeBase<F>`

### inline

    public boolean inline()

  Specified by:
    `inline` in interface `Inlineable`

### process

    protected Collection<Future<?>> process(KnowledgeBase<F> knowledgeBase,
                                            List<com.hammurapi.reasoning.impl.InferenceToken<F>>[] inputs,
                                            PropertySet properties,
                                            Context context,
                                            List<ProcessingPathElement> processingPath,
                                            Joiner.InputConsumer consumer,
                                            int activator)
                                     throws Exception

  Description copied from class: `ReasoningNodeBase`
  Processes inputs.

  Specified by:
    `process` in class `ReasoningNodeBase<F>`
    `inputs` - Inputs.
    `properties` - Properties.
    `context` - Context.
    `processingPath` - Processing path.
    `consumer` - Input consumer.
  Returns:
    Collection of future results.
  Throws:
    `Exception` - If anything goes wrong.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD